Ir al contenido

Cargar protocolos

POST
/partner/tenants/{tenant_id}/kb/protocols
curl --request POST \
--url https://api.overtaker.online/api/v1/partner/tenants/example/kb/protocols \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "entries": [ { "title": "example", "content": "example" } ] }'

Carga protocolos situacionales al KB del tenant. El bot los sigue ante escenarios específicos.

tenant_id
required
Tenant Id
string
Media type application/json
PartnerProtocolLoad
object
entries
required
Entries
Array<object>
ProtocolEntry
object
title
required
Title
string
content
required
Content
string
Example generated
{
"entries": [
{
"title": "example",
"content": "example"
}
]
}

Successful Response

Media type application/json
KBLoadResult
object
created
required
Created
integer
source_id
required
Source Id
string
Example generated
{
"created": 1,
"source_id": "example"
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}